## org.jdom.output
Class XMLOutputter.NamespaceStack

    java.lang.Object
      |
      +--org.jdom.output.NamespaceStack
            |
            +--org.jdom.output.XMLOutputter.NamespaceStack

Enclosing class:
  XMLOutputter

protected class XMLOutputter.NamespaceStack
extends org.jdom.output.NamespaceStack

Our own null subclass of NamespaceStack. This plays a little trick with Java access protection. We want subclasses of XMLOutputter to be able to override protected methods that declare a NamespaceStack parameter, but we don't want to declare the parent NamespaceStack class as public.

Constructor Summary
`protected` `XMLOutputter.NamespaceStack()`

Methods inherited from class org.jdom.output.NamespaceStack
`getURI, pop, push, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLOutputter.NamespaceStack

    protected XMLOutputter.NamespaceStack()

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.